## cnetworkmanager 0.21.1

=== Makefile ===
SETUP=python setup.py
all:
	$(SETUP) build

check: check-nonm
	for T in test/test02*.py; do $$T; done

check-nonm:
	for T in `find . -name \*.py | xargs grep -l '>>>'`; do python $$T; done
	for T in test/test01*.py; do PYTHONPATH=. $$T; done

install:
	$(SETUP) install

dist:
	$(SETUP) sdist
	cp -a cnetworkmanager.spec cnetworkmanager.changes dist

notes:
	find -name \*.py | xargs grep -nH -E 'TODO|FIXME'

doc:
	epydoc --config epydoc.cfg

.PHONY: all check check-nonm install dist notes doc

## cnetworkmanager 0.21.1~git-20091005

=== debian/changelog ===
cnetworkmanager (0.21.1~git-20091005-0jolicloud1) unstable; urgency=low

  * Initial package for Jolicloud using the latest git snapshot

 -- Andrew Stormont <andy@jolicloud.org>  Tue, 27 Apr 2010 11:14:11 +0200

cnetworkmanager (0.21.1-1) unstable; urgency=low

  [ Tom Parker ]
  * Initial release (Closes: #438544, Closes: #511693)
  * Add python-support build-dep
  [ W. Martin Borgert ]
  * Give package into the hands of the Python apps team.
  * Wrote a manual page, mainly output from the command.

 -- Tom Parker <palfrey@tevp.net>  Sun, 28 Feb 2010 23:00:36 +0000

=== debian/control ===
Source: cnetworkmanager
Section: net
Priority: extra
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: W. Martin Borgert <debacle@debian.org>
Build-Depends: cdbs, debhelper (>= 7), python, python-support, xsltproc, docbook-xsl
Standards-Version: 3.8.4
Homepage: http://vidner.net/martin/software/cnetworkmanager/
Vcs-Svn: svn://svn.debian.org/python-apps/packages/cnetworkmanager/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/cnetworkmanager/trunk/

Package: cnetworkmanager
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, network-manager, ${python:Depends}, python-dbus
Description: A command-line client for NetworkManager
 cnetworkmanager is a command-line client for NetworkManager,
 intended to supplement and replace the GUI applets.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM=pysupport

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_INSTALL_MANPAGES_cnetworkmanager=cnetworkmanager.1

DB2MAN=http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl
XP=xsltproc --nonet --novalid

common-build-indep:: $(DEB_INSTALL_MANPAGES_cnetworkmanager)

clean::
	rm -f $(DEB_INSTALL_MANPAGES_cnetworkmanager)

%.1: debian/%.dbk
	$(XP) $(DB2MAN) $<

## cnetworkmanager 0.21.1

=== debian/changelog ===
cnetworkmanager (0.21.1-1.1ubuntu1) natty; urgency=low

  * debian/patches/nm_0-8-2_dbus_api.patch: Unbreak as much as possible
    of cnetworkmanager to work with NM 0.8.2 and above. Some DBUS API
    changes broke ap listing, connection, etc. Which really should work
    for the package to be useful. (LP: #677589)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 22 Dec 2010 00:58:36 +0100

cnetworkmanager (0.21.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add python-gobject dependency (Closes: #594840).

 -- John Sullivan <john@wjsullivan.net>  Mon, 06 Sep 2010 19:49:12 -0700

=== debian/control ===
Source: cnetworkmanager
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: W. Martin Borgert <debacle@debian.org>
Build-Depends: cdbs, debhelper (>= 7), python, python-support, xsltproc, docbook-xsl
Standards-Version: 3.8.4
Homepage: http://vidner.net/martin/software/cnetworkmanager/
Vcs-Svn: svn://svn.debian.org/python-apps/packages/cnetworkmanager/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/cnetworkmanager/trunk/

Package: cnetworkmanager
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, network-manager, ${python:Depends}, python-dbus, python-gobject
Description: A command-line client for NetworkManager
 cnetworkmanager is a command-line client for NetworkManager,
 intended to supplement and replace the GUI applets.
